# Framebuffer Tricks

## What is this?

A small collection of different effects that might be accomplished by manipulating framebuffer registers. Each of these relies on just adjusting registers so they're relatively 'free' computationally (rather than the kind of memory moving that would be required to do them in-software).

They *should* also be applicable in 3D environment, but I'm not 100% sure and that's not tested here.

###vid_flip_fun
This takes the standard vid_flip which would set the screen to display the next or previous framebuffer and spreads it out. Now it will do a kind of transition from the one to the other. By the organization of the framebuffers this will appear as a vertical slide if done in steps by-line but can also look like an unspooling of a thread if done by half-lines or similar.

###vid_rotate
This makes a single buffer appear as if it is rotating around the screen horizontally. It does this by shifting it up/down by a line or two, which is hard to notice as a vertical drop but can be aligned to appear as rotation.

###vid_shake
Gives a kind of bouncing effect by adjusting the display position of the framebuffer.


